<?php

declare(strict_types=1);

namespace App\Filament\Components\Form;

use Filament\Forms\Components\Select;

class GenderSelect extends Select
{
    public static function create(): static
    {
        return parent::make('gender')
            ->label('جنسیت')
            ->options([
                'male' => 'نر',
                'female' => 'ماده',
                'both' => 'هر دو',
                'unknown' => 'نامشخص',
            ])
            ->columnSpan(6);
    }
}
